net.minecraftforge.fluids

## Class FluidEvent.FluidDrainingEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.fluids.FluidEvent
    - - net.minecraftforge.fluids.FluidEvent.FluidDrainingEvent

- Enclosing class:
    FluidEvent

      public static class FluidEvent.FluidDrainingEvent
      extends FluidEvent

  Mods should fire this event when a fluid is `IFluidTank.drain(int, boolean)` from their tank.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.fluids.FluidEvent

      `FluidEvent.FluidDrainingEvent, FluidEvent.FluidFillingEvent, FluidEvent.FluidMotionEvent, FluidEvent.FluidSpilledEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `amount`
    `IFluidTank` | `tank`

    - ### Fields inherited from class net.minecraftforge.fluids.FluidEvent

      `fluid, world, x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FluidEvent.FluidDrainingEvent(FluidStack fluid, World world, int x, int y, int z, IFluidTank tank)` Deprecated. Will be removed in 1.8
    `FluidEvent.FluidDrainingEvent(FluidStack fluid, World world, int x, int y, int z, IFluidTank tank, int amount)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.fluids.FluidEvent

      `fireEvent`

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tank

          public final IFluidTank tank

    - #### amount

          public final int amount

  - ### Constructor Detail

    - #### FluidEvent.FluidDrainingEvent

          @Deprecated
          public FluidEvent.FluidDrainingEvent(FluidStack fluid,
                                                  World world,
                                                  int x,
                                                  int y,
                                                  int z,
                                                  IFluidTank tank)

      Deprecated. Will be removed in 1.8

    - #### FluidEvent.FluidDrainingEvent

          public FluidEvent.FluidDrainingEvent(FluidStack fluid,
                                       World world,
                                       int x,
                                       int y,
                                       int z,
                                       IFluidTank tank,
                                       int amount)